Subscribe2 v6.3

Version 6.3 of the Plugin is now available for download. This version has been tested on WordPress 3.0.5 and 3.1 and requires at least WordPress 2.8.

Version 6.3 contains the bug fixes listed below. In my last post I asked about what version of WordPress people were using. It is possible, based on the response I got, the more than 1 in 20 of my users are using WordPress versions prior to 3.0. I’m not about to leave that many people behind to I’ve added code that will support back to WordPress 2.8 (which is the current minimum requirement anyway). I suspect that at some point 3.0 or 3.1 will become the minimum – but not for a while yet, but use this time to plan your upgrades to 3.0 or 3.1.

If you use this plugin consider making a donation to support future development!

An HTML version of the plugin that emails an HTML email to Public Subscribers is available here.

Need help or support:
Try the Documentation:

  1. Check out the ReadMe installed with the other Subscribe2 files or here.
  2. Look through the FAQs on this site
  3. Consider buying the guide produced independently by My WP Works LLC. The guide is 40+ pages long and it provides an in depth set of instructions and descriptions of Subscribe2 features.

Need to do some troubleshooting:

  1. Try the FAQs and Trouble Shooting categories on this site
  2. Try the FAQs on the WordPress.org site
  3. Try searching the WordPress.org forum or the getsatisfaction forum

Still no joy? :

If you still really want my direct help then make a donation. In the last year I think I’ve spent over 300 hours (about 2 whole weeks without sleep time) supporting people for free and I simply cannot continue to do this.


This version contains the following bug fixes and improvements:

  • Stopped using deprecated get_usermeta(), update_usermeta() and delete_usermeta() functions in WordPress 3.1
  • Use WP_User_Query class and functions in WordPress 3.1
  • Stop using buggy is_blog_user() multisite function
  • Fixed a bug where the creating of a new category would re-subscribed digest email users incorrectly

One thought on “Subscribe2 v6.3

  1. Pingback: Subscribe2 v6.2 日本語化ファイル配布 | にっしーらぼぉ。

Comments are closed.